VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::EthernetTypes::BackingType Class Reference

The `Ethernet.BackingType` enumerated type defines the valid backing types for a virtual Ethernet adapter. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, STANDARD_PORTGROUP, HOST_DEVICE, DISTRIBUTED_PORTGROUP, OPAQUE_NETWORK }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static BackingType[] | GetValues ()
static BackingType | ValueOf (string name)
## Static Public Attributes
static readonly BackingType | STANDARD_PORTGROUP = new BackingType("STANDARD_PORTGROUP", Values.STANDARD_PORTGROUP)
| vSphere standard portgroup network backing.
static readonly BackingType | HOST_DEVICE = new BackingType("HOST_DEVICE", Values.HOST_DEVICE)
| Legacy host device network backing.
static readonly BackingType | DISTRIBUTED_PORTGROUP = new BackingType("DISTRIBUTED_PORTGROUP", Values.DISTRIBUTED_PORTGROUP)
| Distributed virtual switch backing.
static readonly BackingType | OPAQUE_NETWORK = new BackingType("OPAQUE_NETWORK", Values.OPAQUE_NETWORK)
| Opaque network backing.

## Detailed Description

The `Ethernet.BackingType` enumerated type defines the valid backing types for a virtual Ethernet adapter.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::EthernetTypes::BackingType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  STANDARD_PORTGROUP | vSphere standard portgroup network backing.
  HOST_DEVICE | Legacy host device network backing. Imported VMs may have virtual Ethernet adapters with this type of backing, but this type of backing cannot be used to create or to update a virtual Ethernet adapter.
  DISTRIBUTED_PORTGROUP | Distributed virtual switch backing.
  OPAQUE_NETWORK | Opaque network backing.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::EthernetTypes::BackingType::GetEnumValue | ( |  | ) | `[inline]`

static BackingType [] vmware::vcenter::vm::hardware::EthernetTypes::BackingType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::EthernetTypes::BackingType::IsUnknown | ( |  | ) | `[inline]`

static BackingType vmware::vcenter::vm::hardware::EthernetTypes::BackingType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly BackingType vmware::vcenter::vm::hardware::EthernetTypes::BackingType::DISTRIBUTED_PORTGROUP = new BackingType("DISTRIBUTED_PORTGROUP", Values.DISTRIBUTED_PORTGROUP)`[static]`

Distributed virtual switch backing.

readonly BackingType vmware::vcenter::vm::hardware::EthernetTypes::BackingType::HOST_DEVICE = new BackingType("HOST_DEVICE", Values.HOST_DEVICE)`[static]`

Legacy host device network backing.

Imported VMs may have virtual Ethernet adapters with this type of backing, but this type of backing cannot be used to create or to update a virtual Ethernet adapter.

readonly BackingType vmware::vcenter::vm::hardware::EthernetTypes::BackingType::OPAQUE_NETWORK = new BackingType("OPAQUE_NETWORK", Values.OPAQUE_NETWORK)`[static]`

Opaque network backing.

readonly BackingType vmware::vcenter::vm::hardware::EthernetTypes::BackingType::STANDARD_PORTGROUP = new BackingType("STANDARD_PORTGROUP", Values.STANDARD_PORTGROUP)`[static]`

vSphere standard portgroup network backing.

The documentation for this class was generated from the following file:

- EthernetTypes.cs